PHP Manual
Prev |  | Next

# Phar::offsetUnset

(no version information, might be only in CVS)

Phar::offsetUnset -- remove a file from a phar

## Description

bool Phar::offsetUnset ( string offset )

This is an implementation of the ArrayAccess interface allowing direct manipulation of the contents of a Phar archive using array access brackets. offsetUnset is used for deleting an existing file, and is called by the unset() language construct.

## Parameters

`offset`

  The filename (relative path) to modify in a Phar.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Errors/Exceptions

if phar.readonly is `1`, BadMethodCallException is thrown, as modifying a Phar is only allowed when phar.readonly is set to `0`. Throws PharException if there are any problems flushing changes made to the Phar archive to disk.

## Examples

Example 1. A Phar::offsetUnset() example

`<?php $p = new Phar('/path/to/my.phar', 0, 'my.phar'); try { // deletes file.txt from my.phar by calling offsetUnset unset($p['file.txt']); } catch (Exception $e) { echo 'Could not delete file.txt: ', $e; } ?>`

## See Also

Phar::offsetExists()
Phar::offsetGet()
Phar::offsetSet()

Prev | Home | Next
Phar::offsetSet | Up | Phar->setMetaData